Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# wkgl::Cursor Class Reference

A class that represents a cursor. More...

`#include <Cursor.h>`

List of all members.

## Public Methods
| Cursor (HCURSOR hcursor)
| Creates an cursor from a resource.
| Cursor (String *fname)
| Creates an cursor form a file.
| Cursor (FLAG system)
| Creates a handle to a system cursor.
virtual | ~Cursor ()
virtual HCURSOR | getHandle ()
| Returns the windows handle to the cursor.
virtual String * | getFileName ()
| Returns the file name of the cursor.
## Protected Attributes
HCURSOR | hcursor
| The windows handle to the icon.
String * | fname
| The file name of the icon.

## Detailed Description

A class that represents a cursor.

Author:
  Micheal Nooner

This class represents an cursor. Cursors are loaded from "cur" or "ani" files or are resources in memory. It is important to note that this class is immutable, that is every Icon object represents one icon and cannot be changed.

## Constructor & Destructor Documentation

Cursor::Cursor | ( | HCURSOR | hcursor | ) |

  | Creates an cursor from a resource. Parameters:
  hcursor | The handle to the cursor resource in memory.

Cursor::Cursor | ( | String * | fname | ) |

  | Creates an cursor form a file. Parameters:
  fname | The file name of the "cur" or "avi" file to load.

Cursor::Cursor | ( | FLAG | system | ) |

  | Creates a handle to a system cursor. Parameters:
  system | A windows constant that specifies a system cursor.

Cursor::~Cursor | ( |  | ) | `[virtual]`

## Member Function Documentation

String * Cursor::getFileName | ( |  | ) | `[virtual]`

| Returns the file name of the cursor. Returns: The file name of the cursor.

HICON Cursor::getHandle | ( |  | ) | `[virtual]`

| Returns the windows handle to the cursor. Returns: The windows handle to the cursor.

## Member Data Documentation

String* wkgl::Cursor::fname`[protected]`

| The file name of the icon.

HCURSOR wkgl::Cursor::hcursor`[protected]`

| The windows handle to the icon.

The documentation for this class was generated from the following files:

- Cursor.h
- Cursor.cpp